-- Types 基础类型定义
INSERT OR REPLACE INTO Types (Type, Kind)
VALUES 
('DIPLOMACY_ACTION_BECOME_SUZERAIN', 'KIND_DIPLOMACY_ACTION'),
('DIPLOMACY_BECOME_SUZERAIN_COMPLETE', 'KIND_DIPLOMACY_ACTION_STAGE');

-- DiplomacyActions 外交动作主表
INSERT OR REPLACE INTO DiplomacyActions (
    DiplomacyActionType, Name, Description, 
    BaseTokenCost, BaseDuration, EnvoysInfluenceProgress,
    Symmetrical, Opposed, IsMutualSupport,
    TargetFavors, RequiresUnlock, UIIconPath
) VALUES (
    'DIPLOMACY_ACTION_BECOME_SUZERAIN',
    'LOC_DIPLOMACY_PROJECT_BECOME_SUZERAIN_NAME',
    'LOC_DIPLOMACY_PROJECT_BECOME_SUZERAIN_DESCRIPTION',
    1, 0, 1,  -- XML布尔值转SQLite整数(1=true)
    1, 1, 0,
    0, 1, 'blp:dipaction_convertcity'
);

-- DiplomaticActionValidTokens 有效令牌类型
INSERT OR REPLACE INTO DiplomaticActionValidTokens (TokenType, DiplomacyActionType)
VALUES ('DIPLOMACY_TOKEN_GLOBAL', 'DIPLOMACY_ACTION_BECOME_SUZERAIN');

-- DiplomaticActionStages 阶段配置
INSERT OR REPLACE INTO DiplomaticActionStages (
    DiplomacyActionType, StageType, ProgressRequirement
) VALUES (
    'DIPLOMACY_ACTION_BECOME_SUZERAIN', 
    'DIPLOMACY_BECOME_SUZERAIN_COMPLETE', 
    0
);

-- EnterStageModifiers 阶段效果器
INSERT OR REPLACE INTO EnterStageModifiers (StageType, ModifierId)
VALUES ('DIPLOMACY_BECOME_SUZERAIN_COMPLETE', 'MEMENTO_PLAYER_DIPLOMACY_BECOME_SUZERAIN');

-- DiplomaticProjects_UI_Data UI配置
INSERT OR REPLACE INTO DiplomaticProjects_UI_Data (
    DiplomacyActionType, DiplomacyActionGroup, PlayerOperationType,
    UIStartProject, Target1Type, Target2Type, MaxNumEnvoys,
    MinNumVirtEnvoys, MaxNumVirtEnvoys, MaxNumSupportEnvoys,
    MaxNumOpposeEnvoys, Description, ActiveDescription
) VALUES (
    'DIPLOMACY_ACTION_BECOME_SUZERAIN',
    'DIPLOMACY_ACTION_GROUP_PROJECT',
    'BECOME_SUZERAIN_DIPLOMATIC_ACTION',
    1,  -- XML布尔值转整数
    'DIPLOMACY_TARGET_INDEPENDENT', 'DIPLOMACY_TARGET_NONE',
    2, 1, 1, 0, 0,
    'LOC_DIPLOMACY_PROJECT_BECOME_SUZERAIN_INITIAL',
    'LOC_DIPLOMACY_PROJECT_BECOME_SUZERAIN_DESCRIPTION'
);

-- DiplomaticActionInfluenceCosts 影响力消耗
INSERT OR REPLACE INTO DiplomaticActionInfluenceCosts (DiplomacyActionType, InfCostNoRelationship)
VALUES ('DIPLOMACY_ACTION_BECOME_SUZERAIN', 765);

-- DiplomaticActionResponses 响应配置
INSERT OR REPLACE INTO DiplomaticActionResponses (
    DiplomacyActionType, DiplomaticResponseType, InfCost, Name
) VALUES (
    'DIPLOMACY_ACTION_BECOME_SUZERAIN',
    'DIPLOMACY_RESPONSE_ACCEPT',
    0,
    'LOC_DIPLOMACY_RESPONSE_ACCEPT'
);



    
INSERT INTO Warehouse_YieldChanges (ID, Age, YieldType, YieldChange, TerrainInCity)
VALUES
    ('ANTI_NepalBrickyardMountainProduction', 'AGE_ANTIQUITY', 'YIELD_PRODUCTION', 2, 'TERRAIN_MOUNTAIN'),
    ('ANTI_NepalFishingQuayMountainFood', 'AGE_ANTIQUITY', 'YIELD_FOOD', 2, 'TERRAIN_MOUNTAIN'),
    ('ANTI_NepalGranaryMountainFood', 'AGE_ANTIQUITY', 'YIELD_FOOD', 2, 'TERRAIN_MOUNTAIN'),
    ('ANTI_NepalSawPitMountainProduction', 'AGE_ANTIQUITY', 'YIELD_PRODUCTION', 2, 'TERRAIN_MOUNTAIN'),
    ('ANTI_NepalGristmillMountainFood', 'AGE_ANTIQUITY', 'YIELD_FOOD', 2, 'TERRAIN_MOUNTAIN'),
    ('ANTI_NepalSawmillMountainProduction', 'AGE_ANTIQUITY', 'YIELD_PRODUCTION', 2, 'TERRAIN_MOUNTAIN'),
    ('ANTI_NepalStonecutterMountainProduction', 'AGE_ANTIQUITY', 'YIELD_PRODUCTION', 2, 'TERRAIN_MOUNTAIN'),
    ('ANTI_NepalGrocerMountainFood', 'AGE_ANTIQUITY', 'YIELD_FOOD', 2, 'TERRAIN_MOUNTAIN'),
    ('ANTI_NepalIronworksMountainProduction', 'AGE_ANTIQUITY', 'YIELD_PRODUCTION', 2, 'TERRAIN_MOUNTAIN'),
    ('ANTI_HimalPalaceMountainCulture', 'AGE_ANTIQUITY', 'YIELD_CULTURE', 2, 'TERRAIN_MOUNTAIN'),
    ('ANTI_HimalCityHallMountainCulture', 'AGE_ANTIQUITY', 'YIELD_CULTURE', 2, 'TERRAIN_MOUNTAIN');

-- 处理 EXPO_ 前缀条目
INSERT INTO Warehouse_YieldChanges (ID, Age, YieldType, YieldChange, TerrainInCity)
VALUES
    ('EXPO_NepalBrickyardMountainProduction', 'AGE_EXPLORATION', 'YIELD_PRODUCTION', 3, 'TERRAIN_MOUNTAIN'),
    ('EXPO_NepalFishingQuayMountainFood', 'AGE_EXPLORATION', 'YIELD_FOOD', 3, 'TERRAIN_MOUNTAIN'),
    ('EXPO_NepalGranaryMountainFood', 'AGE_EXPLORATION', 'YIELD_FOOD', 3, 'TERRAIN_MOUNTAIN'),
    ('EXPO_NepalSawPitMountainProduction', 'AGE_EXPLORATION', 'YIELD_PRODUCTION', 3, 'TERRAIN_MOUNTAIN'),
    ('EXPO_NepalGristmillMountainFood', 'AGE_EXPLORATION', 'YIELD_FOOD', 3, 'TERRAIN_MOUNTAIN'),
    ('EXPO_NepalSawmillMountainProduction', 'AGE_EXPLORATION', 'YIELD_PRODUCTION', 3, 'TERRAIN_MOUNTAIN'),
    ('EXPO_NepalStonecutterMountainProduction', 'AGE_EXPLORATION', 'YIELD_PRODUCTION', 3, 'TERRAIN_MOUNTAIN'),
    ('EXPO_NepalGrocerMountainFood', 'AGE_EXPLORATION', 'YIELD_FOOD', 3, 'TERRAIN_MOUNTAIN'),
    ('EXPO_NepalIronworksMountainProduction', 'AGE_EXPLORATION', 'YIELD_PRODUCTION', 3, 'TERRAIN_MOUNTAIN'),
    ('EXPO_HimalPalaceMountainCulture', 'AGE_EXPLORATION', 'YIELD_CULTURE', 3, 'TERRAIN_MOUNTAIN'),
    ('EXPO_HimalCityHallMountainCulture', 'AGE_EXPLORATION', 'YIELD_CULTURE', 3, 'TERRAIN_MOUNTAIN');

-- 处理 MODE_ 前缀条目
INSERT INTO Warehouse_YieldChanges (ID, Age, YieldType, YieldChange, TerrainInCity)
VALUES
    ('MODE_NepalBrickyardMountainProduction', 'AGE_MODERN', 'YIELD_PRODUCTION', 4, 'TERRAIN_MOUNTAIN'),
    ('MODE_NepalFishingQuayMountainFood', 'AGE_MODERN', 'YIELD_FOOD', 4, 'TERRAIN_MOUNTAIN'),
    ('MODE_NepalGranaryMountainFood', 'AGE_MODERN', 'YIELD_FOOD', 4, 'TERRAIN_MOUNTAIN'),
    ('MODE_NepalSawPitMountainProduction', 'AGE_MODERN', 'YIELD_PRODUCTION', 4, 'TERRAIN_MOUNTAIN'),
    ('MODE_NepalGristmillMountainFood', 'AGE_MODERN', 'YIELD_FOOD', 4, 'TERRAIN_MOUNTAIN'),
    ('MODE_NepalSawmillMountainProduction', 'AGE_MODERN', 'YIELD_PRODUCTION', 4, 'TERRAIN_MOUNTAIN'),
    ('MODE_NepalStonecutterMountainProduction', 'AGE_MODERN', 'YIELD_PRODUCTION', 4, 'TERRAIN_MOUNTAIN'),
    ('MODE_NepalGrocerMountainFood', 'AGE_MODERN', 'YIELD_FOOD', 4, 'TERRAIN_MOUNTAIN'),
    ('MODE_NepalIronworksMountainProduction', 'AGE_MODERN', 'YIELD_PRODUCTION', 4, 'TERRAIN_MOUNTAIN'),
    ('MODE_HimalPalaceMountainCulture', 'AGE_MODERN', 'YIELD_CULTURE', 4, 'TERRAIN_MOUNTAIN'),
    ('MODE_HimalCityHallMountainCulture', 'AGE_MODERN', 'YIELD_CULTURE', 4, 'TERRAIN_MOUNTAIN');


